%define upstream_name    LWP-Protocol-https
%define upstream_version 6.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Provide https support for LWP::UserAgent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     6.06-disable-failing-tests.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL) >= 1.540.0
BuildRequires: perl(LWP::UserAgent) >= 6.60.0
BuildRequires: perl(Mozilla::CA) >= 20110101.0.0
BuildRequires: perl(Net::HTTPS) >= 6.0.0
BuildArch:  noarch

%description
The LWP::Protocol::https module provide support for using https schemed
URLs with LWP. This module is a plug-in to the LWP protocol handling, so
you don't use it directly. Once the module is installed LWP is able to
access sites using HTTP over SSL/TLS.

If hostname verification is requested by LWP::UserAgent's 'ssl_opts', and
neither 'SSL_ca_file' nor 'SSL_ca_path' is set, then 'SSL_ca_file' is
implied to be the one provided by Mozilla::CA. If the Mozilla::CA module
isn't available SSL requests will fail. Either install this module, set up
an alternative 'SSL_ca_file' or disable hostname verification.

This module used to be bundled with the libwww-perl, but it was unbundled
in v6.02 in order to be able to declare its dependencies properly for the
CPAN tool-chain. Applications that need https support can just declare
their dependency on LWP::Protocol::https and will no longer need to know
what underlying modules to install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 6.60.0-6.mga6
+ Revision: 1029490
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 6.60.0-5.mga6
+ Revision: 952574
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 shlomif <shlomif> 6.60.0-4.mga5
+ Revision: 817407
- Fix build failure by disabling a test.

* Wed Oct 15 2014 umeabot <umeabot> 6.60.0-3.mga5
+ Revision: 741778
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.60.0-2.mga5
+ Revision: 685185
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 sander85 <sander85> 6.60.0-1.mga5
+ Revision: 662217
- update to 6.06

* Mon Jun 02 2014 jquelin <jquelin> 6.40.0-3.mga5
+ Revision: 630625
- fix CVE-2014-3230 (mga#13425)

* Sat Oct 19 2013 umeabot <umeabot> 6.40.0-2.mga4
+ Revision: 526333
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 6.40.0-1.mga4
+ Revision: 436625
- update to 6.04

* Sun Jan 13 2013 umeabot <umeabot> 6.30.0-2.mga3
+ Revision: 368919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 213717
- update to 6.03

* Mon Jun 13 2011 ahmad <ahmad> 6.20.0-1.mga2
+ Revision: 105466
- imported package perl-LWP-Protocol-https


* Mon Jun 13 2011 ahmad <ahmad> 6.20.0-1.mga2
+ Revision: 105466
- imported package perl-LWP-Protocol-https

